#ifndef RLYSON_HPP
#define RLYSON_HPP

#include <raylib.h>


/* 
    the following functions are not part of the raylib API, 
    but are used by alyson and can be used by other projects using alyson
*/

typedef enum {
    TEXT_ORIENTATION_LEFT,
    TEXT_ORIENTATION_RIGHT,
    TEXT_ORIENTATION_CENTER
} text_orientation_t;

/*
 * Draws a text with all possible parameters
 * @function DrawTextFull
 * @param font Font to use
 * @param text Text to draw
 * @param origin Position to draw the text from
 * @param orientation Text orientation
 * @param fontSize Font size
 * @param spacing Spacing between letters
 * @param lineSpacing Line spacing
 * @param tint Tint of the text
 */
void DrawTextFull(
    Font                font,
    const char          *text,
    Vector2             origin,
    text_orientation_t  orientation, 
    float               fontSize, 
    float               spacing, 
    float               lineSpacing, 
    Color               tint
);


#endif // RLYSON_HPP